com.io7m.jtensors.bytebuffered.parameterized

## Interface PMatrixByteBuffered4x4DType<T0,T1>

- Type Parameters:
    `T0` - A phantom type parameter
    `T1` - A phantom type parameter
  All Superinterfaces:
    ByteBufferedType, Matrix4x4DType, MatrixReadable2x2DType, MatrixReadable3x3DType, MatrixReadable4x4DType, MatrixReadableDType, MatrixWritable2x2DType, MatrixWritable3x3DType, MatrixWritable4x4DType, MatrixWritableDType, PMatrix4x4DType<T0,T1>, PMatrixReadable4x4DType<T0,T1>, PMatrixReadableDType<T0,T1>, PMatrixWritable4x4DType<T0,T1>, PMatrixWritableDType<T0,T1>
  All Known Implementing Classes:
    PMatrixByteBufferedM4x4D

      public interface PMatrixByteBuffered4x4DType<T0,T1>
      extends PMatrix4x4DType<T0,T1>, ByteBufferedType

  The type of `PMatrix4x4DType` values that are also byte buffered.

  Since:
    7.0.0

- - ### Method Summary

    - ### Methods inherited from interface com.io7m.jtensors.MatrixWritable4x4DType

      `setR0C3D, setR1C3D, setR2C3D, setR3C0D, setR3C1D, setR3C2D, setR3C3D, setRow0With4D, setRow1With4D, setRow2With4D, setRow3With4D, setRowWith4D, setRowWith4DUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixWritable3x3DType

      `setR0C2D, setR1C2D, setR2C0D, setR2C1D, setR2C2D, setRowWith3D, setRowWith3DUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixWritable2x2DType

      `setR0C0D, setR0C1D, setR1C0D, setR1C1D, setRowWith2D, setRowWith2DUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixReadable4x4DType

      `getR0C3D, getR1C3D, getR2C3D, getR3C0D, getR3C1D, getR3C2D, getR3C3D, getRow4D, getRow4DUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixReadable3x3DType

      `getR0C2D, getR1C2D, getR2C0D, getR2C1D, getR2C2D, getRow3D, getRow3DUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixReadable2x2DType

      `getR0C0D, getR0C1D, getR1C0D, getR1C1D, getRow2D, getRow2DUnsafe`

    - ### Methods inherited from interface com.io7m.jtensors.MatrixReadableDType

      `getRowColumnD`

    - ### Methods inherited from interface com.io7m.jtensors.bytebuffered.ByteBufferedType

      `getByteOffset, setByteOffset`

Copyright © 2016 <code@io7m.com> http://io7m.com